## rml-mmc 2.3.8.svn.156

=== Makefile ===
#
# Root Makefile
#
SHELL=/bin/sh
SUBDIRS=compiler etc runtime # examples

default:	config.cache
	$(MAKE) MAKETARGET=default all-subdirs

all-subdirs:
	-for dir in $(SUBDIRS); do \
		(cd $$dir; $(MAKE) $(MAKETARGET); cd ..); \
	done

configure:	config.cache
	$(MAKE) MAKETARGET="-f Make.mk configure" all-subdirs

install:	config.cache
	$(MAKE) MAKETARGET="install" all-subdirs

distclean:
	$(MAKE) MAKETARGET="-f Make.mk distclean" all-subdirs
	rm -f config.cache

realclean:
	$(MAKE) MAKETARGET="-f Make.mk realclean" all-subdirs

clean:
	$(MAKE) MAKETARGET="-f Make.mk clean" all-subdirs

=== examples/metamodelica/assignment/Makefile ===
include ../../../config.cache

# VARIABLES

GOROOT=../../..
SHELL = /bin/sh
LDLIBS = -lfl
CC = gcc
CLEAN= calc $(CALCOBJS) lexer.c parser.c parser.h Assignment.c Assignment.h *~ *.rdb *.ast *.cps
#uncomment this to have debugging
#RMLCFLAGS=-g -Wr,-East

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o assignment.o
CLEAN= calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h Assignment.c Assignment.h *~

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c Assignment.h

# LEXER

lexer.o:  lexer.c parser.h Assignment.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c Assignment.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

Assignment.o:  Assignment.c
Assignment.c Assignment.h:	Assignment.mo
	$(COMPILE.rml) Assignment.mo

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/assigntwotype/Makefile ===
include ../../../config.cache
# VARIABLES

GOROOT = ../../..
LDLIBS =  -lfl -lm

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o AssignTwoType.o
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h AssignTwoType.c AssignTwoType.h
#uncomment this to have debugging
#RMLCFLAGS=-g -East 

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c AssignTwoType.h

# LEXER

lexer.o:  lexer.c parser.h AssignTwoType.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c AssignTwoType.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

AssignTwoType.o:  AssignTwoType.c
AssignTwoType.c AssignTwoType.h:	AssignTwoType.mo
	$(COMPILE.rml) AssignTwoType.mo

# AUX

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/exp1/Makefile ===
include ../../../config.cache

GOROOT=../../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h exp1.c exp1.h *~
#uncomment for debugging
#RMLCFLAGS=-g -Wr,-East

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o exp1.o
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c exp1.h

# LEXER

lexer.o:  lexer.c parser.h exp1.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c exp1.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

exp1.o:  exp1.c
exp1.c exp1.h:	exp1.mo
	$(COMPILE.rml) exp1.mo

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/exp2/Makefile ===
include ../../../config.cache
# VARIABLES


GOROOT=../../..
LDLIBS = -lfl -lrml

CALCOBJS= main.o lexer.o parser.o yacclib.o exp2.o
CLEAN=calc $(CALCOBJS) lexer.c parser.c parser.h exp2.c exp2.h calc.exe *~
#uncomment for debugging
#RMLCFLAGS=-g -Wr,-East

# EVERYTHING
all:	calc


# MAIN PROGRAM
calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c exp2.h

# LEXER

lexer.o:  lexer.c parser.h exp2.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c exp2.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

exp2.o:  exp2.c
exp2.c exp2.h:	exp2.mo
	$(COMPILE.rml) -c exp2.mo

# AUX

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/experiment+/Makefile ===
include ../../../config.cache

GOROOT=../../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) main.c main.h *~ *.rdb *.fol *.ast *.cps *.exe *.stackdump 
RMLCFLAGS=-g -Wr,-East,-Ecps,-Efol

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o  
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c main.h
main.c main.h: main.mo
	$(COMPILE.rml) main.mo

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/experiment/Makefile ===
include ../../../config.cache

GOROOT=../../..
LDLIBS=-lfl
CLEAN=main main.exe $(CALCOBJS) Main.c Main.h *~ *.rdb *.fol *.ast *.cps *.exe *.stackdump 
#uncomment this to have debugging
RMLCFLAGS=-Wr,-East

# EVERYTHING
all:	main


# MAIN PROGRAM

CALCOBJS= Main.o Global.o
main: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

Main.o:	 Main.c Main.h
Main.c Main.h: Main.mo
	$(COMPILE.rml) Main.mo

Global.o:	 Global.c Global.h
Global.c Global.h: Global.mo
	$(COMPILE.rml) Global.mo

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/pam/Makefile ===
include ../../../config.cache

# VARIABLES

GOROOT = ../../..

SHELL = /bin/sh
LDLIBS = -lrml -lfl 


# EVERYTHING
all:    pam

# EXECUTABLE

COMMONOBJS=yacclib.o
VSLOBJS=Main.o lexer.o gram.o Parse.o Pam.o Input.o
CLEAN=pam $(COMMONOBJS) $(VSLOBJS) Main.c Main.h lexer.c gram.c gram.h Parse.o Pam.h Pam.c *~ pam.exe

pam: $(VSLOBJS) $(COMMONOBJS)
	$(LINK.rml) $(VSLOBJS) $(COMMONOBJS) $(LDLIBS) -o pam

# MAIN ROUTINE WRITTEN IN RML NOW

Main.o: Main.c
Main.c Main.h: Main.mo
	$(COMPILE.rml) -c Main.mo

# PAM

Pam.o: Pam.c
Pam.c Pam.h: Pam.mo
	$(COMPILE.rml) -c Pam.mo

# YACCLIB

yacclib.o:  yacclib.c
	$(COMPILE.rml) $(CFLAGS) -o yacclib.o yacclib.c

# LEXER

lexer.o:  lexer.c gram.h Pam.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

gram.o:  gram.c gram.h
gram.c gram.h:  gram.y
	bison -d gram.y
	mv gram.tab.c gram.c
	mv gram.tab.h gram.h

# INTERFACE TO SCANNER/PARSER (OMC CALLING C)

Parse.o:  Parse.c 

# INTERFACE TO INPUT (OMC CALLING C)

Input.o:  Input.c 

# AUX

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/pamdecl/Makefile ===
include ../../../config.cache


# VARIABLES

GOROOT = ../../..
 
SHELL = /bin/sh
LDLIBS = -lrml -lfl

 
# EVERYTHING
all:    pamdecl
 
# EXECUTABLE
 
COMMONOBJS=yacclib.o
VSLOBJS=Main.o lexer.o parser.o ScanParse.o Absyn.o Env.o Eval.o
CLEAN=pamdecl pamdecl.exe $(COMMONOBJS) $(VSLOBJS) Main.c Main.h lexer.c parser.c parser.h Absyn.c Absyn.h Env.c Env.h Eval.c Eval.h *~
 
pamdecl: $(VSLOBJS) $(COMMONOBJS)
	$(LINK.rml) $(VSLOBJS) $(COMMONOBJS) $(LDLIBS) -o pamdecl
 
# MAIN ROUTINE WRITTEN IN RML NOW
 
Main.o: Main.c
Main.c Main.h: Main.mo
	$(COMPILE.rml) -c Main.mo
 
# YACCLIB
 
yacclib.o:  yacclib.c
	$(COMPILE.rml) -c -o yacclib.o yacclib.c
 
# LEXER
 
lexer.o:  lexer.c parser.h Absyn.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c
 
# PARSER
 
parser.o:  parser.c Absyn.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h
 
# INTERFACE TO SCANNER/PARSER (RML CALLING C)
 
ScanParse.o:  ScanParse.c Absyn.h

# ABSTRACT SYNTAX
 
Absyn.o:  Absyn.c
Absyn.c Absyn.h:  Absyn.mo
	$(COMPILE.rml) Absyn.mo
 
# ENVIRONMENTS
 
Env.o:  Env.c
Env.c Env.h:  Env.mo
	$(COMPILE.rml) Env.mo
 
# EVALUATION
 
Eval.o:  Eval.c 
Eval.c Eval.h:  Eval.mo Absyn.h Env.h
	$(COMPILE.rml) Eval.mo
 
# AUX

include $(GOROOT)/etc/client.mk

=== examples/metamodelica/pamtrans/Makefile ===
include ../../../config.cache

 
# VARIABLES
GOROOT=../../..
 
SHELL = /bin/sh
LDLIBS = -lrml -lfl 
 
# EVERYTHING
all:    pamTrans
 
# EXECUTABLE
 
COMMONOBJS=yacclib.o
VSLOBJS=Main.o lexer.o gram.o Parse.o Absyn.o Mcode.o Trans.o Emit.o
CLEAN=pamTrans pamTrans.exe $(COMMONOBJS) $(VSLOBJS) Main.c Main.h lexer.c Parser.c Parser.h gram.c gram.h Absyn.c Absyn.h Emit.c Emit.h Mcode.c Mcode.h Trans.c Trans.h *~ 

pamTrans: $(VSLOBJS) $(COMMONOBJS)
	$(LINK.rml) $(VSLOBJS) $(COMMONOBJS) $(LDLIBS) -o pamTrans
 
# Main ROUTINE WRITTEN IN RML NOW
 
Main.o: Main.c
Main.c Main.h: Main.rml
	$(COMPILE.rml) Main.rml
 
# YACCLIB
 
yacclib.o:  yacclib.c
	$(COMPILE.rml) $(CFLAGS) -o yacclib.o yacclib.c
 
# LEXER
 
lexer.o:  lexer.c gram.h Absyn.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c
 
# ParseR
 
gram.o:  gram.c gram.h
gram.c gram.h:  gram.y
	bison -d gram.y
	mv gram.tab.c gram.c
	mv gram.tab.h gram.h

# INTERFACE TO SCANNER/ParseR (RML CALLING C)
 
Parse.o:  Parse.c Absyn.h
 
# ABSTRACT SYNTAX
 
Absyn.o:  Absyn.c
Absyn.c Absyn.h:  Absyn.rml
	$(COMPILE.rml) Absyn.rml
 
# TransLATION
 
Trans.o:  Trans.c 
Trans.c Trans.h:  Trans.rml Absyn.h 
	$(COMPILE.rml) Trans.rml

# EMISSION
 
Emit.o:  Emit.c 
Emit.c Emit.h:  Emit.rml
	$(COMPILE.rml) Emit.rml

# INTERMEDIATE FORM
 
Mcode.o:  Mcode.c 
Mcode.c Mcode.h:  Mcode.rml
	$(COMPILE.rml) Mcode.rml

 
# AUX
 
include $(GOROOT)/etc/client.mk

=== examples/rml/assignment/Makefile ===
include ../../../config.cache

# VARIABLES

GOROOT=../../..
SHELL = /bin/sh
LDLIBS = -lfl
CC = gcc
CLEAN= calc $(CALCOBJS) lexer.c parser.c parser.h Assignment.c Assignment.h


# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o Assignment.o
CLEAN= calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h Assignment.c Assignment.h *~

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c Assignment.h

# LEXER

lexer.o:  lexer.c parser.h Assignment.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c Assignment.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

Assignment.o:  Assignment.c
Assignment.c Assignment.h:	Assignment.rml
	$(COMPILE.rml) Assignment.rml

include $(GOROOT)/etc/client.mk

=== examples/rml/assigntwotype/Makefile ===
include ../../../config.cache
# VARIABLES

GOROOT = ../../..
LDLIBS =  -lfl -lm

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o assigntwotype.o
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h assigntwotype.c assigntwotype.h

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c assigntwotype.h

# LEXER

lexer.o:  lexer.c parser.h assigntwotype.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c assigntwotype.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

assigntwotype.o:  assigntwotype.c
assigntwotype.c assigntwotype.h:	assigntwotype.rml
	$(COMPILE.rml) assigntwotype.rml

# AUX

include $(GOROOT)/etc/client.mk

=== debian/changelog ===
rml-mmc (2.3.8.svn.156-1) unstable; urgency=low

  * New release of rml-mmc compiler

 -- Martin Sjölund <martin.sjolund@liu.se>  Tue, 20 Apr 2010 22:02:25 +0200

rml-mmc (2.3.8.svn.151-1) unstable; urgency=low

  * New release of rml-mmc compiler 

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Sun, 15 Nov 2009 12:48:54 +0100

rml-mmc (2.3.8.svn.147-1) unstable; urgency=low

  * Initial release of rml-mmc compiler

 -- Robert Wotzlaw <Robert.Wotzlaw@web.de>  Wed, 29 Oct 2008 15:42:00 +0100

=== debian/control ===
Source: rml-mmc
Section: devel
Priority: extra
Maintainer: Martin Sjölund <martin.sjolund@liu.se>
Build-Depends: debhelper (>= 7),
 ml-lex (>= 110.67-4),
 ml-yacc (>= 110.67-4),
 libsmlnj-smlnj (>= 110.67-4),
 mlton,
 libreadline5-dev,
 bison,
 flex
Standards-Version: 3.8.4

Package: rml-mmc
Architecture: any
Depends: smlnj (>= 110.67-4), smlnj-runtime (>= 110.67-4),
 libsmlnj-smlnj (>= 110.67-4), ml-lex (>= 110.67-4), ml-yacc (>= 110.67-4), ${shlibs:Depends}, ${misc:Depends}
Description: Compiler and interpreter for RML and MMC specifications
 ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
 .
 It implements the Relational Meta-Language (RML) and MetaModelica
 .
 RML is intended as an executable specification language for experiment-
 ing with and implementing Natural Semantics.
 .
 RML is heavily influenced by Standard ML, both in the language itself
 and in its definition.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.cache: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --destdir=$(CURDIR)/debian/tmp

build: build-stamp

build-stamp:  config.cache
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) -C compiler rml-mlton
	#docbook-to-man debian/rml-mmc.sgml > rml-mmc.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install
	$(MAKE) -C compiler install-mlton


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rml-mmc 280

=== Makefile ===
#
# Root Makefile
#
SHELL=/bin/sh
SUBDIRS = compiler etc runtime # examples

default:	config.cache
	$(MAKE) MAKETARGET=default all-subdirs

.PHONY: $(SUBDIRS)

all-subdirs: $(SUBDIRS)

compiler:
	$(MAKE) -C $@ $(MAKETARGET)
etc:
	$(MAKE) -C $@ $(MAKETARGET)
runtime:
	$(MAKE) -C $@ $(MAKETARGET)

configure:	config.cache
	$(MAKE) MAKETARGET="-f Make.mk configure" all-subdirs

install:	config.cache
	$(MAKE) MAKETARGET=install all-subdirs

distclean:
	$(MAKE) MAKETARGET="-f Make.mk distclean" all-subdirs
	rm -f config.cache

realclean:
	$(MAKE) MAKETARGET="-f Make.mk realclean" all-subdirs

clean:
	$(MAKE) MAKETARGET="-f Make.mk clean" all-subdirs

=== examples/Makefile ===
#
# Root Makefile for the examples hierarchy
#
GOROOT=../..
SUBDIRS=assignment assigntwotype etc exp1 exp1-real exp2 experiment experiment+ experiments lcalc mf miniml modassigntwotype modelica+ modelica-examples myold mytests not-needed pam pamdecl pamdecl-HOOKS pamtrans petrol petrol-old petrol2 rml yaccpar
include $(GOROOT)/etc/dispatch.mk

=== metamodelica-examples/Makefile ===
#
# Root Makefile for the examples hierarchy
#
GOROOT=..
SUBDIRS=mf miniml petrol assignment assigntwotype exp1 exp2 modassigntwotype pam pamdecl pamtrans petrol2
include $(GOROOT)/etc/dispatch.mk

=== doc/def/Makefile ===
# Makefile for the RML V2 Definition document
GOROOT=../../..
SHELL=/bin/sh
TEXSRC=	def-dynamic.tex def-initial.tex def-intro.tex def-lexical.tex\
	def-notation.tex def-preface.tex def-reorder.tex def-static.tex\
	def-syntax.tex def.tex macros.tex
AUXSRC=	$(TEXSRC:.tex=.aux)
JUNK=	def.bbl def.blg def.log def.toc

default:
	latex def.tex

def.dvi:	$(TEXSRC) def.bbl
	latex def.tex
	touch def.dvi def.bbl

def.bbl:	def.aux
	bibtex def
	latex def.tex

def.aux:	$(TEXSRC)
	latex def.tex

configure:

boot:

install:

distclean:	realclean

realclean:	clean
	rm -f def.dvi def.ps def.2ps def.4ps def.ps.gz def.dvi.gz

clean:
	rm -f $(AUXSRC) $(JUNK)

=== examples/assignment/Makefile ===
include ../../config.cache

# VARIABLES

GOROOT=../..
SHELL = /bin/sh
LDLIBS = -lfl
CC = gcc
CLEAN= calc $(CALCOBJS) lexer.c parser.c parser.h assignment.c assignment.h


# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o assignment.o
CLEAN= calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h assignment.c assignment.h *~

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c assignment.h

# LEXER

lexer.o:  lexer.c parser.h assignment.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c assignment.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

assignment.o:  assignment.c
assignment.c assignment.h:	assignment.rml
	$(COMPILE.rml) assignment.rml

include $(GOROOT)/etc/client.mk

=== examples/assigntwotype/Makefile ===
include ../../config.cache
# VARIABLES

GOROOT = ../..
LDLIBS =  -lfl -lm

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o assigntwotype.o
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h assigntwotype.c assigntwotype.h

calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c assigntwotype.h

# LEXER

lexer.o:  lexer.c parser.h assigntwotype.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c assigntwotype.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

assigntwotype.o:  assigntwotype.c
assigntwotype.c assigntwotype.h:	assigntwotype.rml
	$(COMPILE.rml) assigntwotype.rml

# AUX

include $(GOROOT)/etc/client.mk

=== examples/exp1-real/Makefile ===
include ../../config.cache

GOROOT=../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h exp1.c exp1.h *~ *.rdb *.fol *.ast *.cps 
RMLCFLAGS=-g -Wr,-East,-Ecps,-Efol

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o exp1.o
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c exp1.h

# LEXER

lexer.o:  lexer.c parser.h exp1.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c exp1.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

exp1.o:  exp1.c
exp1.c exp1.h:	exp1.rml
	$(COMPILE.rml) exp1.rml

include $(GOROOT)/etc/client.mk

=== examples/exp1/Makefile ===
include ../../config.cache

GOROOT=../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) lexer.c parser.c parser.h exp1.c exp1.h *~
RMLCFLAGS = -g
# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o lexer.o parser.o yacclib.o exp1.o
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c exp1.h

# LEXER

lexer.o:  lexer.c parser.h exp1.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c exp1.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

exp1.o:  exp1.c
exp1.c exp1.h:	exp1.rml
	$(COMPILE.rml) exp1.rml

include $(GOROOT)/etc/client.mk

=== examples/exp2/Makefile ===
include ../../config.cache
# VARIABLES


GOROOT=../..
LDLIBS = -lfl -lrml

CALCOBJS= main.o lexer.o parser.o yacclib.o exp2.o
CLEAN=calc $(CALCOBJS) lexer.c parser.c parser.h exp2.c exp2.h calc.exe *~

# EVERYTHING
all:	calc


# MAIN PROGRAM
calc: $(CALCOBJS)
	$(LINK.rml) $(CALCOBJS) $(LDLIBS) -o calc

main.o:	 main.c exp2.h

# LEXER

lexer.o:  lexer.c parser.h exp2.h
lexer.c:  lexer.l
	flex -t -l lexer.l >lexer.c

# PARSER

parser.o:  parser.c exp2.h
parser.c parser.h:  parser.y
	bison -d parser.y
	mv parser.tab.c parser.c
	mv parser.tab.h parser.h


# ABSTRACT SYNTAX and EVALUATION

exp2.o:  exp2.c
exp2.c exp2.h:	exp2.rml
	$(COMPILE.rml) -c exp2.rml

# AUX

include $(GOROOT)/etc/client.mk

=== examples/experiment/Makefile ===
include ../../config.cache

GOROOT=../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) main.c main.h *~ *.rdb *.fol *.ast *.cps *.exe *.stackdump 
RMLCFLAGS=-Wr,-East,-Ecps,-Efol

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o  
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c main.h
main.c main.h: main.rml
	$(COMPILE.rml) main.rml

include $(GOROOT)/etc/client.mk

=== examples/experiments/Makefile ===
include ../../config.cache

GOROOT=../..
LDLIBS=-lfl
CLEAN=calc calc.exe $(CALCOBJS) main.c main.h *~ *.rdb *.fol *.ast *.cps *.exe *.stackdump 
RMLCFLAGS=-Wr,-East,-Ecps,-Efol -Wc,-g

# EVERYTHING
all:	calc


# MAIN PROGRAM

CALCOBJS= main.o  
calc: $(CALCOBJS)
	$(LINK.rml) -o calc $(CALCOBJS) $(LDLIBS)

main.o:	 main.c main.h
main.c main.h: main.rml
	$(COMPILE.rml) main.rml

include $(GOROOT)/etc/client.mk

=== examples/lcalc/Makefile ===
include ../../config.cache



# -- Variables --


SHELL=/bin/sh
RMLC=$(PREFIX)/bin/rmlc
#uncomment next line for debugging (also, make clean, make)
#RMLCFLAGS=-g
COMPILE.rml=$(RMLC) $(RMLCFLAGS) $(CPPFLAGS) -c
LINK.rml=$(RMLC) $(RMLCFLAGS)
LDLIBS = -lfl -lrml

LCALCOBJS= scanparse.o lexer.o parser.o yacclib.o reducer.o main.o
CLEAN=lcalc $(LCALCOBJS) lexer.c parser.c parser.h reducer.c reducer.h reducer.rdb lcalc.exe lcalc.tgz *~ main.c main.h *.rdb



# -- Explicit Rules --


lcalc: $(LCALCOBJS)
	@$(LINK.rml) $(LCALCOBJS) $(LDLIBS) -o lcalc >/dev/null

scanparse.o: scanparse.c reducer.h

lexer.o:  parser.h reducer.h yacclib.h

parser.o:  reducer.h yacclib.h

reducer.h reducer.c: reducer.rml
	@echo $*.h
	@echo $*.c
	@$(COMPILE.rml) -c $< >/dev/null

main.h main.c: main.rml reducer.h 
	@echo $*.h
	@echo $*.c
	@$(COMPILE.rml) -c $< >/dev/null

# -- Phony Rules --


.PHONY: clean bundle

clean:
	@rm -f $(CLEAN)

bundle: clean
	@tar -czvf lcalc.tgz *



# -- Implicit rules --

%.o : %.c
	@echo $@
	@$(COMPILE.rml) $< >/dev/null

#%.h %.c: %.rml
#	@echo $*.h
#	@echo $*.c
#	@$(COMPILE.rml) -c $< >/dev/null

%.c %.h: %.y
	@echo $*.h
	@echo $*.c
	@bison -d $<
	@mv $*.tab.c $*.c
	@mv $*.tab.h $*.h

%.c: %.l
	@echo $*.c
	@flex -t -l $< >$@

=== debian/changelog ===
rml-mmc (280-1) unstable; urgency=low

  * Automatic subversion build
 -- OpenModelica Build System <build@openmodelica.org>  Fri, 17 Oct 2014 13:13:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,14 @@
 Priority: extra
 Maintainer: Martin Sjölund <martin.sjolund@liu.se>
 Build-Depends: debhelper (>= 7),
- ml-lex (>= 110.67-4),
- ml-yacc (>= 110.67-4),
- libsmlnj-smlnj (>= 110.67-4),
  mlton,
- libreadline5-dev,
  bison,
  flex
 Standards-Version: 3.8.4
 
 Package: rml-mmc
 Architecture: any
-Depends: smlnj (>= 110.67-4), smlnj-runtime (>= 110.67-4),
- libsmlnj-smlnj (>= 110.67-4), ml-lex (>= 110.67-4), ml-yacc (>= 110.67-4), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Compiler and interpreter for RML and MMC specifications
  ! THIS IS NOT A OFFICIAL DEBIAN PACKAGE, USE IT WITH CARE !
  .

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.cache: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=/usr --destdir=$(CURDIR)/debian/tmp
+	./configure --nosmlnj --prefix=/usr --destdir=$(CURDIR)/debian/tmp
 
 build: build-stamp
 
@@ -35,7 +35,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	$(MAKE) -C runtime
+	$(MAKE) -C etc
 	$(MAKE) -C compiler rml-mlton
 	#docbook-to-man debian/rml-mmc.sgml > rml-mmc.1
 
@@ -58,7 +59,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install
+	$(MAKE) -C etc install
+	$(MAKE) -C runtime install
 	$(MAKE) -C compiler install-mlton
 
 
@@ -90,7 +92,7 @@
 	dh_compress -X.pdf
 	dh_fixperms
 #	dh_perl
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
